module ApplicationHelper

  def app_name
    "%APP_NAME"
  end

  def app_name_with_env
    Rails.env.production? ? app_name : "#{app_name} - #{Rails.env.titleize}"
  end

  def footer_copyright_year
    "#{start_year}" +
      (Date.today.year > start_year ? " - #{Date.today.year}" : "")
  end

  # year that this project was first launched
  def start_year
    %APP_START_YEAR
  end

end
